
Katello - Bug #5588

Repository Set Controller issues from Hammer

05/06/2014 02:46 PM - Bryan Kearney

Status: Closed   

Priority: High   

Assignee: Bryan Kearney   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There are two issues with the Repository Set Controller.

1) The authorize command is called after code which connects to Candlepin. This causes issues with most commands.

2) The name lookup features on hammer require that the index command supports searching by name.

Associated revisions

Revision 8518b6c0 - 05/06/2014 02:41 PM - Bryan Kearney

Fixes #5588 - Enable name searching for hammer cli, and authorization fixes.

Revision eab59501 - 05/07/2014 12:11 PM - Bryan Kearney

Merge pull request #4051 from bkearney/bkearney/repository-set-work

Fixes #5588 - Enable name searching for hammer cli, and authorization fi...

History

#1 - 05/07/2014 12:53 PM - Bryan Kearney

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:8518b6c06b864813908480f8a128b3178226210c.

#2 - 05/27/2014 05:09 PM - Eric Helms

- Target version set to 44

#3 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
